Removes .ruby-version from .gitignore

I recently experienced using the Gitlab Development Kit for developing gitlab-ce for the first time. One pain that I found with the current setup steps was around the Ruby Version for the cloned project. The current instructions asks that the same Ruby version as the gitlab-ce project itself be used, managed in any way that we wish. This does require me to lookup what that version is in the gitlab-ce codebase. I would think that this process would have been a little easier had this project use the same .ruby-version as gitlab-ce. It is one less source of potential confusion when running commands such as gem install bundler.

I hope this helps. Thank you.